Closed Bug 1788913 Opened 5 months ago Closed 5 months ago

Perma /inert/dynamic-inert-on-focused-element.html | <input> that gets 'inert' attribute - assert_equals: The element stops being focused expected Element node <body><div id="log"></div> when Gecko 106 switches to Beta on 2022-09-19

Categories

(Core :: DOM: UI Events & Focus Handling, defect)

defect

Tracking

()

VERIFIED FIXED
106 Branch
Tracking Status
firefox-esr91 --- unaffected
firefox-esr102 --- unaffected
firefox104 --- unaffected
firefox105 --- unaffected
firefox106 + verified

People

(Reporter: apavel, Assigned: emilio)

References

(Regression)

Details

(Keywords: regression)

Attachments

(1 file)

Central-as-beta
How to run these simulations
Failure log

[task 2022-09-02T12:19:04.313Z] 12:19:04     INFO - TEST-START | /inert/dynamic-inert-on-focused-element.html
[task 2022-09-02T12:19:04.345Z] 12:19:04     INFO - Setting pref html5.inert.enabled to true
[task 2022-09-02T12:19:04.402Z] 12:19:04     INFO - PID 1978 | [Child 1998, Main Thread] WARNING: '!CanHandleWith(aPresContext)', file /builds/worker/checkouts/gecko/dom/events/IMEStateManager.cpp:498
[task 2022-09-02T12:19:04.961Z] 12:19:04     INFO - 
[task 2022-09-02T12:19:04.961Z] 12:19:04     INFO - TEST-UNEXPECTED-FAIL | /inert/dynamic-inert-on-focused-element.html | <input> that gets 'inert' attribute - assert_equals: The element stops being focused expected Element node <body><div id="log"></div>
[task 2022-09-02T12:19:04.961Z] 12:19:04     INFO - 
[task 2022-09-02T12:19:04.961Z] 12:19:04     INFO - <div class="test-wrapper" dat... but got Element node <input class="becomes-inert check-focus" inert=""></input>
[task 2022-09-02T12:19:04.962Z] 12:19:04     INFO - @http://web-platform.test:8000/inert/dynamic-inert-on-focused-element.html:69:18
[task 2022-09-02T12:19:04.963Z] 12:19:04     INFO - 
[task 2022-09-02T12:19:04.963Z] 12:19:04     INFO - TEST-UNEXPECTED-FAIL | /inert/dynamic-inert-on-focused-element.html | <input> whose parent gets 'inert' attribute - assert_equals: The element stops being focused expected Element node <body><div id="log"></div>
[task 2022-09-02T12:19:04.963Z] 12:19:04     INFO - 
[task 2022-09-02T12:19:04.963Z] 12:19:04     INFO - <div class="test-wrapper" dat... but got Element node <input class="check-focus"></input>
[task 2022-09-02T12:19:04.963Z] 12:19:04     INFO - @http://web-platform.test:8000/inert/dynamic-inert-on-focused-element.html:69:18
[task 2022-09-02T12:19:04.965Z] 12:19:04     INFO - 
[task 2022-09-02T12:19:04.965Z] 12:19:04     INFO - TEST-UNEXPECTED-FAIL | /inert/dynamic-inert-on-focused-element.html | <button> that gets 'inert' attribute - assert_equals: The element stops being focused expected Element node <body><div id="log"></div>
[task 2022-09-02T12:19:04.965Z] 12:19:04     INFO - 
[task 2022-09-02T12:19:04.965Z] 12:19:04     INFO - <div class="test-wrapper" dat... but got Element node <button class="becomes-inert check-focus" inert="">foo</b...
[task 2022-09-02T12:19:04.965Z] 12:19:04     INFO - @http://web-platform.test:8000/inert/dynamic-inert-on-focused-element.html:69:18
[task 2022-09-02T12:19:04.967Z] 12:19:04     INFO - 
[task 2022-09-02T12:19:04.967Z] 12:19:04     INFO - TEST-UNEXPECTED-FAIL | /inert/dynamic-inert-on-focused-element.html | <div> that gets 'inert' attribute - assert_equals: The element stops being focused expected Element node <body><div id="log"></div>
[task 2022-09-02T12:19:04.967Z] 12:19:04     INFO - 
[task 2022-09-02T12:19:04.967Z] 12:19:04     INFO - <div class="test-wrapper" dat... but got Element node <div class="becomes-inert check-focus" tabindex="-1" iner...
[task 2022-09-02T12:19:04.967Z] 12:19:04     INFO - @http://web-platform.test:8000/inert/dynamic-inert-on-focused-element.html:69:18
[task 2022-09-02T12:19:04.969Z] 12:19:04     INFO - 
[task 2022-09-02T12:19:04.969Z] 12:19:04     INFO - TEST-UNEXPECTED-FAIL | /inert/dynamic-inert-on-focused-element.html | <div> whose parent gets 'inert' attribute - assert_equals: The element stops being focused expected Element node <body><div id="log"></div>
[task 2022-09-02T12:19:04.969Z] 12:19:04     INFO - 
[task 2022-09-02T12:19:04.969Z] 12:19:04     INFO - <div class="test-wrapper" dat... but got Element node <div class="check-focus" tabindex="-1">bar</div>
[task 2022-09-02T12:19:04.969Z] 12:19:04     INFO - @http://web-platform.test:8000/inert/dynamic-inert-on-focused-element.html:69:18
[task 2022-09-02T12:19:04.971Z] 12:19:04     INFO - 
[task 2022-09-02T12:19:04.971Z] 12:19:04     INFO - TEST-UNEXPECTED-FAIL | /inert/dynamic-inert-on-focused-element.html | <div> whose grandparent gets 'inert' attribute - assert_equals: The element stops being focused expected Element node <body><div id="log"></div>
[task 2022-09-02T12:19:04.971Z] 12:19:04     INFO - 
[task 2022-09-02T12:19:04.971Z] 12:19:04     INFO - <div class="test-wrapper" dat... but got Element node <span class="check-focus" tabindex="-1">baz</span>
[task 2022-09-02T12:19:04.971Z] 12:19:04     INFO - @http://web-platform.test:8000/inert/dynamic-inert-on-focused-element.html:69:18
[task 2022-09-02T12:19:04.971Z] 12:19:04     INFO - TEST-OK | /inert/dynamic-inert-on-focused-element.html | took 649ms

Emilio, please take a look. Thank you.

Flags: needinfo?(emilio)
Summary: Perma /inert/dynamic-inert-on-focused-element.html | <input> that gets 'inert' attribute - assert_equals: The element stops being focused expected Element node <body><div id="log"></div> when Gecko 106 merges to beta on 2022-09-30 → Perma /inert/dynamic-inert-on-focused-element.html | <input> that gets 'inert' attribute - assert_equals: The element stops being focused expected Element node <body><div id="log"></div> when Gecko 106 switches to late beta on 2022-09-30
Summary: Perma /inert/dynamic-inert-on-focused-element.html | <input> that gets 'inert' attribute - assert_equals: The element stops being focused expected Element node <body><div id="log"></div> when Gecko 106 switches to late beta on 2022-09-30 → Perma /inert/dynamic-inert-on-focused-element.html | <input> that gets 'inert' attribute - assert_equals: The element stops being focused expected Element node <body><div id="log"></div> when Gecko 106 switches to Beta on 2022-09-30
Summary: Perma /inert/dynamic-inert-on-focused-element.html | <input> that gets 'inert' attribute - assert_equals: The element stops being focused expected Element node <body><div id="log"></div> when Gecko 106 switches to Beta on 2022-09-30 → Perma /inert/dynamic-inert-on-focused-element.html | <input> that gets 'inert' attribute - assert_equals: The element stops being focused expected Element node <body><div id="log"></div> when Gecko 106 switches to Beta on 2022-09-19

Olli, should we enable the focus fixup rule everywhere? After the discussions on the HTML spec triage, it seems unlikely to change a lot (which was my main fear when putting it behind a pref).

Alternatively I can land a test annotation to enable the pref on the relevant tests.

Flags: needinfo?(emilio) → needinfo?(smaug)

I think I'd prefer to add prefs to tests for now, just to get a bit more testing for the focus handling change.

Flags: needinfo?(smaug)

They rely on it. Also remove a test that annotation that is passing now
while at it.

Assignee: nobody → emilio
Status: NEW → ASSIGNED
Pushed by ealvarez@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/bc59b40d2cb9
Enable focus fixup in inert tests. r=smaug
Status: ASSIGNED → RESOLVED
Closed: 5 months ago
Resolution: --- → FIXED
Target Milestone: --- → 106 Branch

Verified fixed in today's beta sim

Status: RESOLVED → VERIFIED
You need to log in before you can comment on or make changes to this bug.